<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="lib">
  <select id="lib_countAll" parameterType="string" resultType="int">
select
  count(*)
from libmap
where
  area like CONCAT(CONCAT('%',#{data}),'%')
  </select>

  <select id="lib_list" parameterType="java.util.HashMap"
          resultType="com.example.ai.kakao.map.dto.LibmapDTO">
    <![CDATA[
select
  *
from libmap
where
  area like CONCAT(CONCAT('%',#{keyword}),'%')
limit #{startpage}, #{endpage}
    ]]>
  </select>
</mapper>